# main.py

import framework, splash, game, sys

fullscreen = True

def main():
	parseArgs()
	framework.init("pyFurbyKill", 800, 600, fullscreen)
	framework.addState(splash.Splash())
	framework.addState(game.Game())
	framework.mainLoop()

def parseArgs():
	global fullscreen
	for arg in sys.argv:
		if arg == "-windowed" or arg == "-w":
			fullscreen = False

if __name__ == "__main__":
	main()
